Describe a Model

Use the describe model operation to retrieve detailed metadata for a loaded model.

The operation returns comprehensive information about the model, including its type, parameters, attributes, and usage statistics. You must include the name of the model as an input parameter.

An error is raised if the input model does not exist.

See the following for an example of using describe_model:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    access_token="<bearer-token>", # or username="<user>", password="<pass>"
))

details = client.describe_model(model_name='all-MiniLM-L12-v2')
print(details)

A JSON response is returned containing the following information:

  • Model name and type
  • Algorithm and mining function
  • Input/output attributes
  • Creation time stamp
  • Model parameters

Example response:

{
  "model_name": "ALL_MINILM_L12_V2",
  "algorithm": "ONNX",
  "mining_function": "EMBEDDING",
  "creation_date": "2026-01-27T07:23:21Z",
  "attributes": [
    {
      "name": "DATA",
      "value": "TEXT",
      "data_type": "VARCHAR2",
      "data_length": 32767
    },
    {
      "name": "ORA$ONNXTARGET",
      "value": "VECTOR",
      "data_type": "VECTOR",
      "data_length": 1593,
      "vector_info": "VECTOR(384,FLOAT32)"
    }
  ]
}

The attributes array includes model input and output attribute metadata. This includes vector_info, which is populated only when the value of data_type is VECTOR.

For more information about the describe_model operation, see Python API Reference.

See how GET /vecdb/models/{model_name} can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/models/DOC_EMBED_MODEL" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Responses:

  • Example 200 response:
    {
      "model_name": "DOC_EMBED_MODEL",
      "algorithm": "ONNX",
      "mining_function": "EMBEDDING",
      "creation_date": "2026-05-01T10:00:00.000000+00:00",
      "attributes": [
        {
          "name": "DATA",
          "value": "TEXT",
          "data_type": "VARCHAR2",
          "data_length": 4000,
          "vector_info": null
        }
      ]
    }
  • 404 - model not found.

For more information about GET /vecdb/models/{model_name}, see REST API Reference.

See how DBMS_VECTOR_DATABASE.DESCRIBE_MODEL can be used in the following example:

dbms_vector_database.describe_model('DOC_EMBED_MODEL');
Example response:
{
  "model_name": "DOC_EMBED_MODEL",
  "algorithm": "ONNX",
  "mining_function": "EMBEDDING",
  "creation_date": "2026-05-01T10:00:00.000000+00:00",
  "attributes": [
    {
      "name": "DATA",
      "value": "TEXT",
      "data_type": "VARCHAR2",
      "data_length": 4000,
      "vector_info": null
    }
  ]
}

For more information about the PL/SQL implementation, including parameters, see DESCRIBE_MODEL.